Dear folks --

I'm trying to install a software package called LINGO for my
operations research class. There's a Linux version (no BSD, though).

http://www.lindo.com/downloads/downloadm.html

I'm hoping I can get this to work with the Linux emulation layer
(other stuff work already, like Maple 8).

I am getting errors related to a shell script a LD_LIBRARY_PATH

There are libraries that need to be loaded in /opt/lingo9
> ls
LINGO.CNF       libcxa.so       liblindo.so     libmosek.so.3.2 lingovars.sh
libcxa.so.3     liblindo.so.3.0 libunwind.so.5
libconsub3.so   libcxa.so.5     libmosek.so     lingo9


I unpacked it under /opt.

There's a bash shell script you're supposed to run:

##############################
#! /bin/sh


LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$HOME/opt/lingo9/bin/linux32
export LD_LIBRARY_PATH

LINGO_LICENSE_FILE="$HOME/opt/lingo9/license/lndlng90.lic"
export LINGO_LICENSE_FILE
###############################

My first question is if the shell script "translation" to tcsh is correct:

###############################
#!/bin/tcsh

setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:/opt/lingo9/bin/linux32

setenv LINGO_LICENSE_FILE "/opt/ling9/license/lndlng90.lic"
###############################

When I try to execute it, I get the error below (BTW, set to 755).

ls -l bsdlingolic.sh
-rwxr-xr-x  1 root  2527  143 19 Abr 13:00 bsdlingolic.sh
./bsdlingolic.sh
LD_LIBRARY_PATH: Undefined variable.


What suggestions do you have regarding this issue?
Thanks in advance.

Henry
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to